Updates a routine policy's mutable fields.
PUT
/v1/m/governance/routine-policies/{id}
const url = 'https://example.com/v1/m/governance/routine-policies/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"allowed_cron_patterns":["example"],"blocked_environments":["example"],"enabled":true,"max_active_routines":1,"max_cadence_seconds":0,"require_approval":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/governance/routine-policies/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "allowed_cron_patterns": [ "example" ], "blocked_environments": [ "example" ], "enabled": true, "max_active_routines": 1, "max_cadence_seconds": 0, "require_approval": true }'Updates a routine policy’s mutable fields. Name and scope are immutable (the operator-facing identity).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
Any of:
object
allowed_cron_patterns
blocked_environments
max_cadence_seconds
null
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}